/*
 * Claws Mail -- a GTK+ based, lightweight, and fast e-mail client
 * Copyright (C) 1999-2007 Colin Leroy <colin@colino.net> 
 * and the Claws Mail team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 */

#ifndef __SSL_CERTWINDOW_H__
#define __SSL_CERTWINDOW_H__

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#if (defined(USE_OPENSSL) || defined (USE_GNUTLS))
#ifdef USE_OPENSSL
#include <openssl/ssl.h>
#include <openssl/objects.h>
#else
/* GNUTLS */
#endif
#include <glib.h>
#include <gtk/gtk.h>
#include "ssl_certificate.h"

void sslcertwindow_show_cert(SSLCertificate *cert);
void sslcertwindow_register_hook(void);

#endif /* USE_OPENSSL */
#endif /* __SSL_CERTWINDOW_H__ */
